/*
 * WaitDatabaseForm.java
 *
 * Copyright (C) 2005-2006 Tommi Laukkanen
 * http://www.substanceofcode.com
 *
 * Created on April 23rd 2006
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package com.substanceofcode.carmanager.view;

import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import com.substanceofcode.carmanager.controller.CarManagerMIDlet;

/**
 *
 * @author Tommi
 */
public class WaitDatabaseForm 
        extends Form
        implements CommandListener {
    
    private static CarManagerMIDlet m_midlet;
    
    /** Creates a new instance of WaitDatabaseForm */
    public WaitDatabaseForm(CarManagerMIDlet midlet) {
        super(null);
        m_midlet = midlet;
        setTitle("Please wait");
        append("Opening database...");
    }

    /** Listener for commands */
    public void commandAction(Command command, Displayable displayable) {
    }
    
    /** Set description text */
    public void setDescription(String description) {
        // Remove old items from the form
        while(this.size()>0) {
            this.delete(0);
        }
        // Append new string to the form
        append(description);
    }
    
}
